This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 168668 - Several mixer fields go missing from snd-emu10k1 with 1558 kernel
Several mixer fields go missing from snd-emu10k1 with 1558 kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 06:55 EDT by Bill Crawford
Modified: 2015-01-04 17:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 02:43:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2005-09-19 06:55:22 EDT
Description of problem:
After booting into kernel 1.1558_FC5, several mixer components are missing in
alsamixer, gnome-volume-control etc.

Version-Release number of selected component (if applicable):
2.6.13-1.1558_FC5

How reproducible:
Boot into it.

Steps to Reproduce:
1. Boot into 1558_FC5 kernel
2a. Run alsamixer, or
2b. Start X and open gnome-volume-control
  
Actual results:
Master and PCM volume controls are missing. Only headphone, headphone LFE etc
appear. Card remains muted, basically.

Expected results:
Master and PCM should appear.

Additional info:
I booted back into 1.1555_FC5 just to make sure it wasn't something else. It
still works fine there.
Comment 1 Bill Crawford 2005-09-19 13:58:37 EDT
(also a problem in 1.1560_FC5
Comment 2 Andreas M. Kirchwitz 2005-10-01 09:24:11 EDT
What kernel versions are 1555, 1558 and 1560 in FC5?
I've got the same problem with FC4 when upgrading from
kernel 2.6.12-1.1456_FC4 to 2.6.13-1.1526_FC4

Just for curiosity ...
Comment 3 Bill Crawford 2005-10-02 22:07:36 EDT
There was a patch to add "sb live platinum" support and it seems to have made a
bit of a hash of things.

It appears to likely be this change:
http://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv2.6%2Ftesting%2Fpatch-2.6.14-rc3.bz2;z=5001
which pretends there is no AC97 codec on the board and thereby disables the
actual outputs from the card.

Whoever tested it obviously has a completely different board to mine :)
Comment 4 Dave Jones 2005-10-03 01:49:55 EDT
yes. I found this this afternoon, as it hit the FC4 update I pushed out. It'll
be fixed in the next rawhide kernel I build.
Comment 5 Dams 2005-10-03 04:08:38 EDT
Any ETA before next FC4 update ?
Comment 6 Bill Crawford 2005-10-03 14:53:56 EDT
fyi, I did try taking this upstream to alsa project, but their bugtrack wouldn't
even let me connect earlier, and is now making it difficult to sign up to login
(how can they have mail problems delivering to gmail.com?)

Note You need to log in before you can comment on or make changes to this bug.